package cn.novalon.gym.manage.sys.core.service;

import cn.novalon.gym.manage.sys.core.domain.SysDictType;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

/**
 * 字典类型服务接口
 * 
 * @author 张翔
 * @date 2026-03-13
 */
public interface ISysDictTypeService {
    Flux<SysDictType> findAll();
    Mono<SysDictType> findById(Long id);
    Mono<SysDictType> findByDictType(String dictType);
    Mono<SysDictType> save(SysDictType dictType);
    Mono<Void> deleteById(Long id);
}
